Bug 605518 - SELinux is preventing /usr/sbin/openvpn "relabelfrom" access .
SELinux is preventing /usr/sbin/openvpn "relabelfrom" access .
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:4477cda365f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-18 03:31 EDT by Nido Media
Modified: 2010-07-29 12:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-29 12:53:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nido Media 2010-06-18 03:31:04 EDT
Summary:

SELinux is preventing /usr/sbin/openvpn "relabelfrom" access .

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by openvpn. It is not expected that this access
is required by openvpn and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:system_r:openvpn_t:s0
Target Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Objects                None [ tun_socket ]
Source                        openvpn
Source Path                   /usr/sbin/openvpn
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           openvpn-2.1.1-2.fc13
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-23.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.33.5-112.fc13.x86_64
                              #1 SMP Thu May 27 02:28:31 UTC 2010 x86_64 x86_64
Alert Count                   5
First Seen                    Mon 14 Jun 2010 10:03:18 PM CEST
Last Seen                     Mon 14 Jun 2010 10:24:55 PM CEST
Local ID                      3126284a-7e56-4e4a-99d7-cbdf0674f449
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1276547095.541:31): avc:  denied  { relabelfrom } for  pid=5535 comm="openvpn" scontext=unconfined_u:system_r:openvpn_t:s0 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=tun_socket

node=(removed) type=AVC msg=audit(1276547095.541:31): avc:  denied  { relabelto } for  pid=5535 comm="openvpn" scontext=unconfined_u:system_r:openvpn_t:s0 tcontext=unconfined_u:system_r:openvpn_t:s0 tclass=tun_socket

node=(removed) type=SYSCALL msg=audit(1276547095.541:31): arch=c000003e syscall=16 success=yes exit=0 a0=6 a1=400454ca a2=7ffffcddf820 a3=14 items=0 ppid=5526 pid=5535 auid=1337 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=pts0 ses=1 comm="openvpn" exe="/usr/sbin/openvpn" subj=unconfined_u:system_r:openvpn_t:s0 key=(null)



Hash String generated from  catchall,openvpn,openvpn_t,unconfined_t,tun_socket,relabelfrom
audit2allow suggests:

#============= openvpn_t ==============
allow openvpn_t self:tun_socket relabelto;
allow openvpn_t unconfined_t:tun_socket relabelfrom;
Comment 1 Daniel Walsh 2010-07-29 12:53:04 EDT
Fixed in selinux-policy-3.7.19-39.fc13

Note You need to log in before you can comment on or make changes to this bug.